<template>
    <div id="User" class="component">
        <h1>Actions sur les utilisateurs</h1>
        <div class="SingleUser">
            <div>
                <h2>Films préférés d'un utilisateur :</h2>
                <input type="number" v-model="user_id" />
            </div>
            <div>
                <input type="submit" value="Search" v-on:click="getUser" />
            </div>
            <pre><code>{{user}}</code></pre>
        </div>

        <div class="AllUsers">
            <h2>Tout les utilisateurs</h2>
            <div>
                <input type="submit" value="All Users" v-on:click="getAllUsers" />
            </div>
            <pre><code>{{users}}</code></pre>
        </div>

        <div class="UsersFav">
            <h2>Utilisateurs avec films préférés</h2>
            <div>
                <input type="submit" value="Users With Favorite Movies" v-on:click="getUsersWithFav" />
            </div>
            <pre><code>{{usersWithFav}}</code></pre>
        </div>
    </div>
</template>

<script>
    import axios from 'axios';

    export default {
        name: 'User',
        data: () => ({
            user_id: 0,
            user: '',
            users: '',
            usersWithFav: ''
        }),
        methods: {
            getUser: function() {
                axios
                    .get('http://127.0.0.1:8000/api/users/'+this.user_id)
                    .then(response => (this.user = response.data),
                          (error) => (this.user = error.response.data))
            },
            getAllUsers: function() {
                axios
                    .get('http://127.0.0.1:8000/api/users')
                    .then(response => (this.users = response.data),
                        (error) => (this.users = error.response.data))
            },
            getUsersWithFav: function() {
                axios
                    .get('http://127.0.0.1:8000/api/users/withFav')
                    .then(response => (this.usersWithFav = response.data),
                        (error) => (this.usersWithFav = error.response.data))
            }
        }
    }
</script>